package com.fzm.mall.server.front.enums;

/**
 * @author wangp
 * @date 2021/10/13 10:21
 * @description
 * @since JDK 1.8
 */
public enum ChainTypeEnum {

    MAIN("main"),
    PARA("para");

    private String type;

    ChainTypeEnum(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

    public static ChainTypeEnum getByType(String type) {
        for (ChainTypeEnum v : values()) {
            if (v.type.equals(type)) {
                return v;
            }
        }
        return null;
    }

}
